intel-microcode: update to 20180425 drop

Bug #1769043 reported by Steve Beattie on 2018-05-04
256
This bug affects 1 person
Affects Status Importance Assigned to Milestone
intel-microcode (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Steve Beattie
Xenial
Undecided
Steve Beattie
Artful
Undecided
Steve Beattie
Bionic
Undecided
Steve Beattie
Cosmic
Undecided
Unassigned

Bug Description

Intel has released a new version of their microcode, that addresses a couple of additional processors.

Reference: https://downloadcenter.intel.com/download/27776?v=t

Paul White (paulw2u) on 2018-05-04
tags: added: upgrade-software-version

Already in Debian unstable.

Steve Beattie (sbeattie) wrote :

Correct, we'll sync the debian unstable package when Cosmic officially opens.

Backported packages (based on the debian unstable version) are available for testing in the Ubuntu Security Proposed ppa https://launchpad.net/~ubuntu-security-proposed/+archive/ubuntu/ppa/ . Any feedback would be appreciated.

Thanks!

Changed in intel-microcode (Ubuntu Trusty):
status: New → Triaged
Changed in intel-microcode (Ubuntu Xenial):
status: New → Triaged
Changed in intel-microcode (Ubuntu Artful):
status: New → Triaged
Changed in intel-microcode (Ubuntu Bionic):
status: New → Triaged
Changed in intel-microcode (Ubuntu Cosmic):
status: New → Triaged
Changed in intel-microcode (Ubuntu Trusty):
assignee: nobody → Steve Beattie (sbeattie)
Changed in intel-microcode (Ubuntu Xenial):
assignee: nobody → Steve Beattie (sbeattie)
Changed in intel-microcode (Ubuntu Artful):
assignee: nobody → Steve Beattie (sbeattie)
Changed in intel-microcode (Ubuntu Bionic):
assignee: nobody → Steve Beattie (sbeattie)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package intel-microcode - 3.20180425.1~ubuntu0.14.04.1

---------------
intel-microcode (3.20180425.1~ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode data file 20180425 to
    provide IBRS/IBPB/STIBP microcode support for Spectre variant 2 mitigation
    for Pentium Silver N/J5xxx, Celeron N/J4xxx (sig 0x000706a1) and
    Xeon E5/E7 v4; Core i7-69xx/68xx (sig 0x000406f1) (LP: #1769043)
    - merge from Debian.

intel-microcode (3.20180425.1) unstable; urgency=medium

  * New upstream microcode data file 20180425 (closes: #897443, #895878)
    + Updated Microcodes:
      sig 0x000406f1, pf_mask 0xef, 2018-03-21, rev 0xb00002c, size 27648
      sig 0x000706a1, pf_mask 0x01, 2017-12-26, rev 0x0022, size 73728
    + Implements IBRS/IBPB/STIPB support, Spectre-v2 mitigation
    + Note that sig 0x000604f1 has been blacklisted from late-loading
      since Debian release 3.20171117.1.
  * source: remove undesired list files from microcode directories
  * source: switch to microcode-<id>.d/ since Intel dropped .dat
    support.

 -- Steve Beattie <email address hidden> Thu, 03 May 2018 12:45:47 -0700

Changed in intel-microcode (Ubuntu Trusty):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package intel-microcode - 3.20180425.1~ubuntu0.17.10.1

---------------
intel-microcode (3.20180425.1~ubuntu0.17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode data file 20180425 to
    provide IBRS/IBPB/STIBP microcode support for Spectre variant 2 mitigation
    for Pentium Silver N/J5xxx, Celeron N/J4xxx (sig 0x000706a1) and
    Xeon E5/E7 v4; Core i7-69xx/68xx (sig 0x000406f1) (LP: #1769043)
    - merge from Debian.

intel-microcode (3.20180425.1) unstable; urgency=medium

  * New upstream microcode data file 20180425 (closes: #897443, #895878)
    + Updated Microcodes:
      sig 0x000406f1, pf_mask 0xef, 2018-03-21, rev 0xb00002c, size 27648
      sig 0x000706a1, pf_mask 0x01, 2017-12-26, rev 0x0022, size 73728
    + Implements IBRS/IBPB/STIPB support, Spectre-v2 mitigation
    + Note that sig 0x000604f1 has been blacklisted from late-loading
      since Debian release 3.20171117.1.
  * source: remove undesired list files from microcode directories
  * source: switch to microcode-<id>.d/ since Intel dropped .dat
    support.

 -- Steve Beattie <email address hidden> Thu, 03 May 2018 12:45:47 -0700

Changed in intel-microcode (Ubuntu Artful):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package intel-microcode - 3.20180425.1~ubuntu0.18.04.1

---------------
intel-microcode (3.20180425.1~ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode data file 20180425 to
    provide IBRS/IBPB/STIBP microcode support for Spectre variant 2 mitigation
    for Pentium Silver N/J5xxx, Celeron N/J4xxx (sig 0x000706a1) and
    Xeon E5/E7 v4; Core i7-69xx/68xx (sig 0x000406f1) (LP: #1769043)
    - merge from Debian.

intel-microcode (3.20180425.1) unstable; urgency=medium

  * New upstream microcode data file 20180425 (closes: #897443, #895878)
    + Updated Microcodes:
      sig 0x000406f1, pf_mask 0xef, 2018-03-21, rev 0xb00002c, size 27648
      sig 0x000706a1, pf_mask 0x01, 2017-12-26, rev 0x0022, size 73728
    + Implements IBRS/IBPB/STIPB support, Spectre-v2 mitigation
    + Note that sig 0x000604f1 has been blacklisted from late-loading
      since Debian release 3.20171117.1.
  * source: remove undesired list files from microcode directories
  * source: switch to microcode-<id>.d/ since Intel dropped .dat
    support.

 -- Steve Beattie <email address hidden> Thu, 03 May 2018 12:45:47 -0700

Changed in intel-microcode (Ubuntu Bionic):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package intel-microcode - 3.20180425.1~ubuntu0.16.04.1

---------------
intel-microcode (3.20180425.1~ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode data file 20180425 to
    provide IBRS/IBPB/STIBP microcode support for Spectre variant 2 mitigation
    for Pentium Silver N/J5xxx, Celeron N/J4xxx (sig 0x000706a1) and
    Xeon E5/E7 v4; Core i7-69xx/68xx (sig 0x000406f1) (LP: #1769043)
    - merge from Debian.

intel-microcode (3.20180425.1) unstable; urgency=medium

  * New upstream microcode data file 20180425 (closes: #897443, #895878)
    + Updated Microcodes:
      sig 0x000406f1, pf_mask 0xef, 2018-03-21, rev 0xb00002c, size 27648
      sig 0x000706a1, pf_mask 0x01, 2017-12-26, rev 0x0022, size 73728
    + Implements IBRS/IBPB/STIPB support, Spectre-v2 mitigation
    + Note that sig 0x000604f1 has been blacklisted from late-loading
      since Debian release 3.20171117.1.
  * source: remove undesired list files from microcode directories
  * source: switch to microcode-<id>.d/ since Intel dropped .dat
    support.

 -- Steve Beattie <email address hidden> Thu, 03 May 2018 12:45:47 -0700

Changed in intel-microcode (Ubuntu Xenial):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package intel-microcode - 3.20180425.1~ubuntu0.18.04.1

---------------
intel-microcode (3.20180425.1~ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode data file 20180425 to
    provide IBRS/IBPB/STIBP microcode support for Spectre variant 2 mitigation
    for Pentium Silver N/J5xxx, Celeron N/J4xxx (sig 0x000706a1) and
    Xeon E5/E7 v4; Core i7-69xx/68xx (sig 0x000406f1) (LP: #1769043)
    - merge from Debian.

intel-microcode (3.20180425.1) unstable; urgency=medium

  * New upstream microcode data file 20180425 (closes: #897443, #895878)
    + Updated Microcodes:
      sig 0x000406f1, pf_mask 0xef, 2018-03-21, rev 0xb00002c, size 27648
      sig 0x000706a1, pf_mask 0x01, 2017-12-26, rev 0x0022, size 73728
    + Implements IBRS/IBPB/STIPB support, Spectre-v2 mitigation
    + Note that sig 0x000604f1 has been blacklisted from late-loading
      since Debian release 3.20171117.1.
  * source: remove undesired list files from microcode directories
  * source: switch to microcode-<id>.d/ since Intel dropped .dat
    support.

 -- Steve Beattie <email address hidden> Thu, 03 May 2018 12:45:47 -0700

Changed in intel-microcode (Ubuntu Cosmic):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers